#
# spec file for package libevtlog
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libevtlog
Version:        0.2.13
Release:        2.27
Summary:        Syslog-ng event logger library source
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Url:            http://www.balabit.com/products/syslog_ng/
Source0:        http://www.balabit.com/downloads/files/syslog-ng/open-source-edition/3.4.4/source/eventlog_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  pkg-config

%description
The EventLog library aims to be a replacement of the simple syslog()
API provided on UNIX systems. The major difference between EventLog and
syslog is that EventLog tries to add structure to messages.

Where you had a simple non-structrured string in syslog() you have a
combination of description and tag/value pairs.

EventLog provides an interface to build, format and output an event
record. The exact format and output method can be customized by the
administrator via a configuration file.

This package provides the source files.

The package may contain Novell/SUSE specific modifications/extensions,
please report problems using Bugzilla at https://bugzilla.novell.com/
before you contact the authors.

The official home page of syslog-ng is:
http://www.balabit.com/network-security/syslog-ng/

%package -n libevtlog0
Summary:        Syslog-ng event logger library runtime
Group:          System/Libraries

%description -n libevtlog0
The EventLog library aims to be a replacement of the simple syslog()
API provided on UNIX systems. The major difference between EventLog and
syslog is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event
record. The exact format and output method can be customized by the
administrator via a configuration file.

This package provides the runtime part of the library.

The package may contain Novell/SUSE specific modifications/extensions,
please report problems using Bugzilla at https://bugzilla.novell.com/
before you contact the authors.

The official home page of syslog-ng is:
http://www.balabit.com/network-security/syslog-ng/

%package devel
Summary:        Syslog-ng event logger library development files
Group:          Development/Libraries/C and C++
Requires:       %{name}0 = %{version}
Requires:       glibc-devel

%description devel
The EventLog library aims to be a replacement of the simple syslog()
API provided on UNIX systems. The major difference between EventLog and
syslog is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event
record. The exact format and output method can be customized by the
administrator via a configuration file.

This package provides the development files. The package may contain
Novell/SUSE specific modifications/extensions, please report problems
using Bugzilla at https://bugzilla.novell.com/ before you contact the
authors.

The official home page of syslog-ng is:
http://www.balabit.com/network-security/syslog-ng/

%prep
%setup -q -n eventlog-%{version}

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%check
make check

%install
make DESTDIR=%{buildroot} install
rm -vf %{buildroot}/%{_libdir}/%{name}.la

%post -n libevtlog0 -p /sbin/ldconfig

%postun -n libevtlog0 -p /sbin/ldconfig

%files -n libevtlog0
%defattr(-,root,root)
%{_libdir}/libevtlog*.so.0*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS NEWS PORTS README VERSION
%doc ChangeLog doc/*.txt
%dir %_includedir/eventlog
%_includedir/eventlog/*.h
%_libdir/libevtlog*.so
%_libdir/pkgconfig/eventlog.pc

%changelog
* Wed Aug 24 2016 jengelh@inai.de
- BuildRequire pkgconfig for pkgconfig() symbols to be generated
- Remove useless with-pic (it's only for static libs)
* Sat Feb  7 2015 p.drouand@gmail.com
- Update to version 0.2.13
  * Changelog has not been updated
- Use download Url as source
- Clean up specfile
- Install library in /usr/lib because of #UsrMove
- Remove obsolete AUTHORS and %%clean sections
* Mon Nov 12 2012 mt@suse.com
- Changed RPM group to Development/Libraries/C and C++, added
  group tag to sub-packages as required to build on SLE-11.
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Fri Mar 18 2011 czanik@balabit.hu
- update to 2.1.12 as recent syslog-ng versions need it
* Tue Apr 13 2010 mt@suse.de
- Updated to eventlog-0.2.9 library providing configure fixes.
* Wed Feb  4 2009 crrodriguez@suse.de
- move shared libraries to /%%{_lib} so syslog-ng can use them
- remove static libraries
- remove "la" files
* Wed Oct 22 2008 mrueckert@suse.de
- fix debug_packages_requires define
* Fri Aug  1 2008 ro@suse.de
- fix requires for debuginfo package
* Mon Jul 14 2008 mt@suse.de
- new package, syslog-ng eventlog-0.2.7 library
